std::ranges::transform_view::begin(3)

NAME
std::ranges::transform_view::begin - std::ranges::transform_view::begin

Synopsis
   constexpr /*iterator*/<false> begin(); (1) (since C++20)
   constexpr /*iterator*/<true> begin() const
   requires ranges::range<const V> && (2) (since C++20)
   std::regular_invocable<const F&, ranges::range_reference_t<const
   V>>;
   Returns an iterator to the first element of the transform_view.
   1) Equivalent to return /*iterator*/<false>{*this, ranges::begin(base_)};, where
   base_ is the underlying view.
   2) Equivalent to return /*iterator*/<true>{*this, ranges::begin(base_)};, where
   base_ is the underlying view.

Parameters
   (none)

Return value
   Iterator to the first element.

Example
    This section is incomplete
    Reason: no example

See also
   end returns an iterator or a sentinel to the end
   (C++20) (public member function)
   ranges::begin returns an iterator to the beginning of a range
   (C++20) (customization point object)